/*
Theme Name: Katamount
Author: Colossus Media Group
Description: Katamount Child Theme
Version: 1.0
Template: bootstrap-component-blox
*/

:root {
	--km-primary: #B1121B;
	--km-secondary: ;
	--km-grey: #2d2d2d;
	--km-dark: #000;
	--km-header-font: bebas-neue-pro-expanded, sans-serif;
	--km-body-font: 'Poppins', sans-serif;
}

/* ===== Global ===== */

html,
body { 
	overflow-x: hidden;
	font-family: var(--km-body-font);
	color: var(--km-dark);
}

h1, h2, h3, h4, h5 {
	font-family: var(--km-header-font);
}

a,
a:hover {
	text-decoration: none;
}

/* ===== Custom Classes ===== */

.z-front {
	z-index: 5;
}

.z-back {
	z-index: 1;
}

.fw-600 {
	font-weight: 600;
}

.nowrap {
	white-space: nowrap;
}

.overlay {
	position: absolute;
	top: 0;
	left: 0;
	height: 100%;
	width: 100%;
	background: rgba(0,0,0,0.7);
}

.lh-sm {
	line-height: 1em!important;
}

.km-font-header {
	 font-family: 'Heaters', sans-serif;
	 font-size: 130%;
}

.rounded-lg {	
	border-radius: 25px;
}

.km-border-primary {
	border: 4px solid var(--km-primary);
}

.mb-50 {
	margin-bottom: 50px;
}

.mb-100 {
	margin-bottom: 100px;
}

.km-divider {
	height: 5px;
	width: 140px;
}

.h-500 {
	height: 500px;
}

.h-200 {
	height: 200px
}

.object-fit {
	object-fit: cover;
}

.h-300 {
	height: 300px;
}

.overlay-gradient {
	background: linear-gradient(0deg, rgba(0,0,0,1) 0%, rgba(0,0,0,0) 100%);
	position: absolute;
	height: 100%;
	width: 100%;
	top: 0;
	left: 0;
}

.last-p-mb-0 p:last-child {
	margin-bottom: 0!important;
}

/* ===== Text Color ===== */

.km-text-primary {
	color: var(--km-primary);
}

.km-text-secondary {
	color: var(--km-secondary);
}

.km-text-dark {
	color: var(--km-dark);
}

/* ===== Background Color ===== */

.km-bg-primary {
	background-color: var(--km-primary);
}

.km-bg-grey {
	background-color: var(--km-grey);
}

.km-bg-secondary {
	background-color: var(--km-secondary);
}

.km-bg-dark {
	background-color: var(--km-dark);
}

.km-bg-dark-img {
	background: url(/wp-content/uploads/2025/01/bg.jpg) center/cover;
}

.km-bg-light-img {
	background: url(/wp-content/uploads/2025/01/white-img-scaled.jpg) center/cover;
}

/* ===== Button ===== */

.btn {
	font-weight: 700;
	border-radius: 15px;
	padding: 3px 30px;
	text-transform: uppercase;
	font-size: 30px;
	font-family: var(--km-header-font);
}

.km-btn-outline {
	background: transparent;
	color: #fff;
	border: 1px solid #fff;
}

.km-btn-outline:hover {
	background: #fff;
	border: 1px solid #fff;
	color: var(--km-primary)
}

.km-btn-primary {
	background-color: var(--km-primary);
	border: 2px solid var(--km-primary);
	color: #fff;
}

.km-btn-primary:hover {
	background-color: #fff;
	color: var(--km-primary);
	border: 2px solid var(--km-primary);
}

.km-btn-secondary {
	background-color: var(--km-secondary);
	color: #fff;
}

.km-btn-secondary:hover {
	background-color: var(--km-secondary);
	color: #fff;
}

.km-btn-dark {
	background-color: var(--km-dark);
	color: #fff;
}

.km-btn-dark:hover {
	background-color: var(--km-dark);
	color: #fff;
}

.km-btn-location {
	border-width: 3px; 
	border-color: var(--km-primary);
	color: var(--km-primary);
	background-color: #fff !important;
}

.km-btn-location a {
	font-size: 14pt;
	color: var(--km-primary);
}

.km-btn-location:hover {
	background-color: var(--km-primary) !important;
	color: #fff;
}

.km-btn-location:hover a {
	color: #fff;
}

/* ===== FAQ ===== */

#km-faq i {
	transition: all .3s;
}

#km-faq [aria-expanded=true] {
	background: var(--km-primary);
}

#km-faq [aria-expanded=true] i {
	color: var(--km-dark);
	transform: rotate(180deg);
}

#km-faq [aria-expanded=false] {
	background: var(--km-grey);
}

#km-faq [aria-expanded=false] i {
	color: var(--km-primary);
}

/* ===== What to Expect ===== */

#km-expect .km-number {
	color: #fff;
	background: var(--km-primary);
	width: 55px;
	height: 55px;
	border-radius: 50px;
	display: inline-flex;
	justify-content: center;
	align-items: center;
}

#km-expect .row-cols-lg-2 h2 {
	font-size: 40px;
}

#km-expect .km-title {
	overflow: hidden;
}

#km-expect h3 {
	position: absolute;
	bottom: 0;
	left: 0;
	width: 100%;
	background: rgba(0,0,0,0.9);
}

#km-expect .nav-tabs {
	border-bottom: 0!important;
}

#km-expect [aria-selected="false"] {
	opacity: .4!important
}

/* ===== Navbar ===== */

.home .sticky-wrapper {
	height: 0!important;
}

#bcb-main-navbar {
	transition: all .2s;
	background:  var(--km-dark);
}

/* ===== Navbar ===== */

#navbar-main-menu .sub-menu {
    border-radius: 0;
    padding: 0px;
}

#nav-header .dropdown-menu .nav-link {
    white-space: nowrap;
    padding: 5px 25px 5px 10px;
}

#nav-header .dropdown-menu .dropdown-menu {
    left: 99.5%;
    top: -1px;
}

#nav-header .sub-menu .dropdown-toggle::after {
    transform: rotate(-90deg);
    transform-origin: center;
    position: relative;
    top: 17px;
    right: 5px;
    position: absolute;
}

#navbar-main-menu .fade {
    -webkit-transition: opacity .0s linear;
    -o-transition: opacity .0s linear;
    transition: opacity .0s linear;
}

#navbar-main-menu > .navbar-nav > .nav-item > .nav-link:hover {
    color: var(--km-primary);
}

#km-top-nav a {
	color: #fff;
}

.km-icons i {
	display: inline-flex;
	background: #fff;
	color: var(--km-primary);
	align-items: center;
	justify-content: center;
	height: 25px;
	width: 25px;
	border-radius: 7px;
	font-size: 18px;
	transition: all .2s;
}

.km-icons i:hover {
	opacity: 0.8;
}

#navbar-brand-logo img {
	max-width: 200px;
}

#navbar-main-menu .current-menu-item .nav-link {
	color: var(--km-primary);
}

#navbar-main-menu .current-menu-item .sub-menu .nav-link {
	color: #fff;
}

#navbar-main-menu .nav-link {
	color: #fff;
	text-transform: uppercase;
	font-size: 24px;
	font-family: var(--km-header-font);
	margin-left: 10px;
	font-weight: bold;
	transition: all .2s;
}

#navbar-main-menu .nav-link:hover {
	color: var(--km-primary);
}

#navbar-main-menu .sub-menu {
	background-color: #000!important;
}

#menu-item-398 .sub-menu,
#menu-item-397 .sub-menu,
#menu-item-399 .sub-menu{
	background: #222!important;
}

#menu-item-412 .sub-menu,
#menu-item-456 .sub-menu{	
	background: #444!important;
}

.km-btn-nav a {
	background: var(--km-primary);
	border-radius: 15px;
	padding: 5px 15px!important;
	color: #fff!important;
}

.km-btn-nav a:hover {
	background: #fff;
	color: var(--km-primary)!important;
}

.navbar-logo-menu {
	height: 115px;
	background-image: url(/wp-content/uploads/2025/01/katamount.png);
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
}

.navbar-logo-menu a {
	opacity: 0;
}

.menu-spacer {
	opacity: 0;
}

@media(max-width: 992px){
	.navbar-logo-menu{
		display: none !important;
	}

	.menu-spacer {
		display: none !important;
	}

	#navbar-brand-logo {
		display: block;
	}
}

@media(min-width: 993px){
	#navbar-brand-logo {
		display: none;
	}

	#navbar-main-menu ul:first-child {		
		justify-content: space-around;
		width: 90%;
		margin-left: 5% !important;
		margin-right: 5% !important;
	}

	#navbar-main-menu .navbar-nav > .menu-item {
		display: flex;
		align-items: center;
		flex: 1 1 0px;
		justify-content: center;
	}	

	.menu-item:last-of-type {
		justify-content: start;
	}
}

/* ===== Toggler ===== */

#toggler:focus, 
#toggler:active {
    outline: 0;
}

#toggler span {
    width: 30px;
    height: 3px;
    display: block;
    background-color: #fff;
    margin: 7px 0;
    -webkit-transition: 0.4s;
    -o-transition: 0.4s;
    transition: 0.4s;
}

#toggler span:nth-child(1) {
    -webkit-transform: translatey(10px) rotate(-45deg);
        -ms-transform: translatey(10px) rotate(-45deg);
            transform: translatey(10px) rotate(-45deg);
}

#toggler span:nth-child(2) {
    opacity: 1;
    width: 0;
}

#toggler span:nth-child(3) {
    -webkit-transform: translatey(-10px) rotate(45deg);
        -ms-transform: translatey(-10px) rotate(45deg);
            transform: translatey(-10px) rotate(45deg);  
}

#toggler.collapsed span {
    -webkit-transform: translatey(0) rotate(0deg);
        -ms-transform: translatey(0) rotate(0deg);
            transform: translatey(0) rotate(0deg);
    opacity: 1;
    width: 30px;   
}

/* ===== Header ===== */

#km-header .container {
	margin-top: 200px;
}

#km-header .kXZOYs {
	font-size: 12px !important;
	line-height: 1.6 !important;
}

#km-header .kaKtJS {
	line-height: 1 !important;
}

/* ===== Gallery ===== */

#km-gallery img {
	transition: all .3s;
}

#km-gallery img:hover {
	transform: scale(1.1) rotate(1deg);
}

/* ===== About Us ===== */

#km-about .container-fluid {
	margin-top: 120px;
}

/* ===== Solutions ===== */

#km-solutions .overlay {
	background: linear-gradient(90deg, rgba(0,0,0,1) 40%, rgba(0,0,0,0.4) 100%);
	position: absolute;
	top: 0;
	left: 0;
	height: 100%;
	width: 100%;
}

#km-solutions .swiper-pagination-bullet {
	background: #fff;
	height: 15px;
	width: 15px;
}

/* ===== Reviews ===== */

#km-reviews .swiper-pagination-bullet {
	height: 15px;
	width: 15px;
	background: #fff;
	opacity: 1;
	position: relative;
}

#km-reviews .swiper-pagination-bullet-active:before {
	content: '';
	display: block;
	height: 15px;
	width: 15px;
	border-radius: 50px;
	border: 1px solid var(--km-primary);
	position: absolute;
	top: 50%;
	left: 55%;
	transform: translatex(-50%) translatey(-50%) scale(1.5);
}

/* ===== Has Form ===== */

#has-form .wpforms-container {
	margin-bottom: 0!important;
	margin-top: 0!important;
}

#has-form input,
#has-form select {
	border: 2px solid var(--km-primary)!important;
	border-radius: 10px!important;
}

#has-form textarea {
	border: 2px solid var(--km-primary)!important;
	border-radius: 10px!important;
}

#has-form .wpforms-field {
	padding-bottom: 5px!important;
}

#has-form #wpforms-240-field_7 {
	border: 2px solid var(--km-primary)!important;
	border-radius: 10px!important;
}

#has-form #wpforms-240-field_6-state {
	border: 2px solid var(--km-primary)!important;
	border-radius: 10px!important;
}

#has-form #wpforms-240-field_9 {
	border: 2px solid var(--km-primary)!important;
	border-radius: 10px!important;
}

#has-form .wpforms-submit,
#has-form .wpforms-page-button {
	color: #fff!important;
	border-radius: 10px!important;
	background: var(--km-primary)!important;
	padding: 10px 20px!important;
	text-transform: uppercase!important;
	border: none!important;
	font-weight: bold!important;
	border: 2px solid var(--km-primary)!important;
}

#has-form .wpforms-submit:hover,
#has-form .wpforms-page-button:hover {
	background: #fff!important;
	color: var(--km-primary)!important;
}

/* ===== Footer ===== */

.km-footer-icons i {
	color: #fff;
	background: var(--km-primary);
	width: 25px;
	height: 25px;
	border-radius: 5px;
	display: inline-flex;
	align-items: center;
	justify-content: center;
}

#km-contact .km-footer-icons i {
	width: 60px;
	height: 60px;
	border-radius: 10px;
	border: 2px solid var(--km-primary);
}

#km-contact .km-footer-icons i:hover {
	background: #fff;
	color: var(--km-primary);
}

#km-footer-widgets li a,
#km-footer-widgets p a,
#km-footer-widgets p {	
	color: #888;
}

footer {	
	background: var(--km-dark);
	color: #fff;
}

footer a {
	color: rgba(255,255,255,0.8);
}

footer a:hover {
	color: rgba(255,255,255,0.6);
}

/* ===== Blog ===== */

.blog .entry-content .card-body a:link {
	color: var(--km-primary);
}

.blog .entry-content .card-body a:hover {
	color: var(--km-primary);
}

.blog .entry-content .card-body a:visited {
	color: var(--km-primary);
}

.blog .entry-content .card-footer  {
	background-color: #fff !important;
}

/* ===== Search Results ===== */

.search-results .page-title {
	padding-top: 30px!important;
	text-transform: uppercase;
	font-size: 50px;
	margin-bottom: 0!important;
}

.search-results h3 a {
	color: var(--km-dark)!important;
}

.search-results .card-body {
	padding: 25px!important;
}

.search-results .card-footer {
	background: transparent!important;
	padding: 0 30px 30px 30px!important;
}

.search-results .card {
	border-radius: 25px;
	border: none;
	overflow: hidden;
	box-shadow: 0 1rem 3rem rgba(0, 0, 0, 0.175);
}

/* ===== Post ===== */

.post-template-default {
	background-color: var(--km-dark);
}

#km-single-post h3 {
	color: var(--km-primary);
}

#km-single-post a:link {
	color: var(--km-primary);
}

#km-single-post a:visited {
	color: var(--km-primary);
}

#km-single-post a:hover {
	color: var(--km-primary);
}

@media (max-width: 1400px) {
	
	#bcb-main-navbar .container {
		max-width: 100%;
	}
	
	#navbar-main-menu .nav-link {
		font-size: 20px;
	}
	
	#km-header .justify-content-center .fs-1 {
		font-size: 24px!important;
	}
}

@media (max-width: 1200px) {
	
	#km-footer-widgets .fs-5 {
		font-size: 16px!important;
	}
	
	#km-contact .display-4 {
		font-size: 20px!important;
	}
	
	#km-contact .km-footer-icons i {
		width: 30px;
		height: 30px;
		border-radius: 10px;
		border: 2px solid var(--km-primary);
		font-size: 18px!important;
	}


}

@media (max-width: 992px) {
	
	#bcb-main-navbar {
		background: var(--km-dark);
	}
	
	#menu-item-28 a {
		display: inline-block;
		margin-bottom: 25px;
		margin-top: 10px;
	}
	
	#navbar-brand-logo img {
		max-width: 150px;
	}
	
	.mb-100 {
		margin-bottom: 0px;
	}
	
	.header-cta {
		margin-top: 0!important;
	}
	
	.h-500 {
		height: 500px!important;
	}
	
	.h-300 {
		height: 150px;
	}
}

@media (max-width: 768px) {}

@media (max-width: 576px) {}